import axios from '@/common/services/axios-instance'

class SourceService {
  getSourceClass(params) {
    return axios({
      method: 'get',
      data: params,
      url: 'api/xcoa-mobile/v1/ftsearch/datasource',
    })
  }

  saveSource(params) {
    return axios({
      url: `api/xcoa-mobile/v1/ftsearch/setconfig`,
      method: 'post',
      data: params,
    }).then((res) => {
      return res
    })
  }
}

export default new SourceService()
